﻿@model Comment
@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_LayoutAdmin.cshtml";
}

<form method="post"  asp-action="Create" style="width:90%; margin: 0 auto;" enctype="multipart/form-data">
	<div class="border p-3 mt-4" >
		<div class="row pb-6">
			<h2 class="text-primary">Thêm mới</h2>
			<hr />
		</div>
		<div class="mb-3">
			<label asp-for="Name"></label>
			<input asp-for="Name" class="form-control" onchange="myFunction()" />
			<span asp-validation-for="Name" class="text-danger"></span>
		</div>

		<div class="mb-3">
			<label asp-for="Email"></label>
			<input asp-for="Email" rows="3" class="form-control"></input>
			<span asp-validation-for="Email" class="text-danger"></span>
		</div>
		<div class="mb-3">
			<label asp-for="CommentHeader"></label>
			<input asp-for="CommentHeader" rows="3" class="form-control"></input>
			<span asp-validation-for="CommentHeader" class="text-danger"></span>
		</div>
		<div class="mb-3">
			<label asp-for="CommentText"></label>
			<textarea asp-for="CommentText" rows="3" class="form-control"></textarea>
			<span asp-validation-for="CommentText" class="text-danger"></span>
		</div>
		<div class="mb-3">
			<label asp-for="PostId">Post Name</label>
			<select asp-for="PostId" asp-items="@ViewBag.PostList" class="form-control">
				<option disabled selected>--Select CoverType--</option>
			</select>
			<span asp-validation-for="PostId" class="text-danger"></span>
		</div>
		<button type="submit" class="btn btn-primary" style="width:150px">Create</button>
		<a asp-controller="Comments" asp-action="Index" class="btn btn-secondary" style="width:150px">
			Back to List
		</a>
	</div>
</form>

@section Scripts{
	@{
		<partial name="_ValidationScriptsPartial" />
	}
		<script>
		tinymce.init({
		  selector: 'textarea',
		  plugins: 'advlist autolink lists link image charmap print preview hr anchor pagebreak',
		  toolbar_mode: 'floating',
	   });

		function ValidateInput(){
			if(document.getElementById("uploadBox").value==""){
				Swal.fire({
				  icon: 'error',
				  title: 'Oops...',
				  text: 'Please upload an Image!',
				});
				return false;
			}
			return true;
		}
	</script>
}